Loading...
Searching...
No Matches
Magick::DrawableStrokeLineCap Class Reference
Inheritance diagram for Magick::DrawableStrokeLineCap:

## Public Member Functions

| DrawableStrokeLineCap (LineCap linecap_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | linecap (LineCap linecap_)
LineCap | linecap (void) const

## Private Attributes

LineCap | _linecap

## Detailed Description

Definition at line 1772 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableStrokeLineCap()

Magick::DrawableStrokeLineCap::DrawableStrokeLineCap | ( | LineCap | linecap_ | ) |

inline

Definition at line 1775 of file Drawable.h.

: _linecap(linecap_)
{ }

## ~DrawableStrokeLineCap()

Magick::DrawableStrokeLineCap::~DrawableStrokeLineCap | ( | void |  | ) |

Definition at line 1285 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableStrokeLineCap::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1293 of file Drawable.cpp.

{
return new DrawableStrokeLineCap(*this);
}

## linecap() [1/2]

void Magick::DrawableStrokeLineCap::linecap | ( | LineCap | linecap_ | ) |

inline

Definition at line 1787 of file Drawable.h.

{
_linecap = linecap_;
}

## linecap() [2/2]

LineCap Magick::DrawableStrokeLineCap::linecap | ( | void |  | ) | const

inline

Definition at line 1791 of file Drawable.h.

{
return _linecap;
}

## operator()()

void Magick::DrawableStrokeLineCap::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1288 of file Drawable.cpp.

{
DrawSetStrokeLineCap( context_, _linecap );
}

## Field Documentation

## _linecap

LineCap Magick::DrawableStrokeLineCap::_linecap

private

Definition at line 1797 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp